@use '../utils/variables' as var;
@use '../utils/mixins';


.actor {
    @include mixins.wrapper;

    @media (max-width: 850px) {
        display: flex;
        flex-direction: column;
    }
}

.actor__title {
    color: var.$textcolor;
    text-align: center;
    font-weight: var.$font-extra-bold;

    @media (max-width: 768px) {
        font-size: 24px;
        margin-bottom: 7px;
    }
}

.actor__subtitle {
    color: var.$textcolor;
    font-weight: var.$font-extra-bold;
    margin-left: 10px;
    margin-top: 15px;

    &--small {
        font-size: 24px;
    }
}

.actor__img {
    margin: 10px 10px 0px 10px;
    max-width: 300px;
    width: 100%;
    float: left;

    @media (max-width: 850px) {
        float: none;
        align-self: center;
    }
}

.actor__text {
    margin-top: 30px;
    margin-left: 10px;
    font-size: 20px;
    color: var.$textcolor;
}

.actor__list-con {
    display: flex;
    align-items: center;
    margin-left: 10px;
}

.actor__list {
    list-style: none;
    padding: 0;
    margin: 0 0 0 30px;
    font-size: 22px;
    color: var.$textcolor;

    @media (max-width: 992px) {
        font-size: 18px;
    }

    @media (max-width: 850px) {
        font-size: 22px;
    }

    &--red {
        font-weight: var.$font-bold;
        color: var.$boldcolor;
        margin-left: 0;
    }

    &--film {
        margin-left: 0;
        display: flex;
        flex-wrap: wrap;
        margin-left: 0px;

        @media (max-width: 850px) {
            margin-left: 10px;
        }
    }
}

.actor__item {
    &--film{
        margin-right: 15px;
    }
}

.actor__link {
    color: var.$textcolor;
    text-decoration: underline;
}